Subject: PINE 3.91 BUG for open INBOX ..

From: [email-masked] (Bryan Dan)
Date: 13 Nov 1994 20:00:19 GMT

Hi,

	I downloaded the file "pine-bin.ultrix" from ftp.cac.washington.edu
today.  The version was 3.91.  When I tried to run it, I got an ERROR on
opening INBOX.  It seem PINE does NOT use the variable "$USER" in the
inbox-path.  And I tried "echo $USER" at unix prompt, it return "bdan" to me.
The following is the system conf, .pinerc and .pine-debug1.  Please help,
Thanks!!

# /usr/local/lib/pine.conf
#
user-domain=wam.umd.edu
inbox-path=/usr/spool/mail/$USER/$USER
# Yes, two $USER variables
news-collections=*{news-srv.wam.umd.edu/nntp}[]
-----------------------------------------------------------------------------

# ~/.pinerc
#
# Updated by Pine(tm) 3.91, copyright 1989-1993 University of Washington.
#
# Pine configuration file -- customize as needed.
#

# Path of (local or remote) INBOX, e.g. ={mail.somewhere.edu}inbox
# Normal Unix default is the local INBOX (usually /usr/spool/mail/$USER).
inbox-path=

# [lines deleted here ...]

# Set by Pine; controls display of "new version" message.
last-version-used=3.91
-----------------------------------------------------------------------------

# ~/.pine-debug1
#
Debug output of the Pine program (at debug level 2).  Version 3.91
Sun Nov 13 14:14:54 1994

reading_pinerc "/usr/local/lib/pine.conf"
Read 112 characters:
reading_pinerc "/afs/wam.umd.edu/usr1/bdan/home/.pinerc"
Read 5461 characters:
reading_pinerc "/usr/local/lib/pine.conf.fixed"
Open failed: No such file or directory
======= Current_val options set =======
          user-domain : wam.umd.edu
           inbox-path : /usr/spool/mail/
   folder-collections : mail/[]
     news-collections : *{news-srv.wam.umd.edu/nntp}[]
          default-fcc : sent-mail
     postponed-folder : postponed-msgs
       mail-directory : mail
       signature-file : .signature
         address-book : .addressbook
  saved-msg-name-rule : default-folder
        fcc-name-rule : default-fcc
             sort-key : arrival
   addrbook-sort-rule : fullname-with-lists-last
 use-only-domain-name : no
              printer : attached-to-ansi
     standard-printer : lpr
 last-time-prune-ques : 94.11
    last-version-used : 3.91
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Command_line_val options set =======
======= User_val options set (/afs/wam.umd.edu/usr1/bdan/home/.pinerc) =======
           inbox-path : /usr/spool/mail/$USER/$USER
 last-time-prune-ques : 94.11
    last-version-used : 3.91
======= Global_val options set (/usr/local/lib/pine.conf) =======
          user-domain : wam.umd.edu
           inbox-path : /usr/spool/mail/$USER/$USER
     news-collections : *{news-srv.wam.umd.edu/nntp}[]
          default-fcc : sent-mail
     postponed-folder : postponed-msgs
       mail-directory : mail
       signature-file : .signature
         address-book : .addressbook
  saved-msg-name-rule : default-folder
        fcc-name-rule : default-fcc
             sort-key : arrival
   addrbook-sort-rule : fullname-with-lists-last
 use-only-domain-name : no
              printer : attached-to-ansi
     standard-printer : lpr
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Fixed_val options set (NO pine.conf.fixed) =======
========== Feature settings ==========
  no-assume-slow-link
  no-auto-move-read-msgs
  no-auto-open-next-unread
  no-compose-rejects-unqualified-addrs
  no-compose-sets-newsgroup-without-confirm
  no-delete-skips-deleted
  no-disable-config-cmd
  no-disable-keyboard-lock-cmd
  no-disable-password-cmd
  no-disable-update-cmd
  no-enable-aggregate-command-set
  no-enable-alternate-editor-cmd
  no-enable-alternate-editor-implicitly
  no-enable-bounce-cmd
  no-enable-flag-cmd
  no-enable-full-header-cmd
  no-enable-incoming-folders
  no-enable-jump-shortcut
  no-enable-mail-check-cue
  no-enable-suspend
  no-enable-tab-completion
  no-enable-unix-pipe-cmd
  no-expanded-view-of-addressbooks
  no-expanded-view-of-folders
  no-expunge-without-confirm
  no-include-attachments-in-reply
  no-include-header-in-reply
  no-include-text-in-reply
  no-news-approximates-new-status
  no-news-post-without-validation
  no-news-read-in-newsrc-order
  no-preserve-start-stop-characters
  no-quell-user-lookup-in-passwd-file
  no-quit-without-confirm
  no-save-will-quote-leading-froms
  no-save-will-not-delete
  no-save-will-advance
  no-select-without-confirm
  no-show-selected-in-boldface
  no-signature-at-bottom
  no-use-current-dir
  no-use-function-keys
Userid: bdan
Fullname: "Bryan Dan"
User domain name being used "wam.umd.edu"
Local Domain name being used "wam.umd.edu"
Host name being used "rac7.wam.umd.edu"
Mail Domain name being used (by c-client too)"wam.umd.edu"
Context mail/[] type: LOCAL
new win size -----<24 80>------
Terminal type: xterm
Context mail/[] type: LOCAL
Context *{news-srv.wam.umd.edu/nntp}[] type: REMOTE BBOARD OLDTECH
About to open folder "INBOX"    inbox: "INBOX"
IMAP 14:14 11/13 mm_log ERROR: Can't open mailbox /usr/spool/mail/: no such mailbox
IMAP 14:14 11/13 mm_log babble: Find of mailbox outside context: /afs/wam.umd.edu/usr1/bdan/home/.pine-interrupted-mail
- mailcap_free -

    ---- MAIN_MENU_SCREEN ----

    ---- QUIT SCREEN ----
Want_to read: y (121)
about to end_tty_driver
- completely_done_with_adrbks -
- mailcap_free -

 _____________________________           _____
| Bryan Dan                   \           \   \__      _____
| [email-masked]             \___________\   \/_______\___\_____________
| [email-masked]        /           ( /_/   .....................  `-.
|_____________________________/             `-----------,----,--------------'
                                                      _/____/